> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List backups

> Returns all backups owned by the caller. Admins see all backups.



## OpenAPI

````yaml /api-reference/gns3util-filestore-api-docs.json get /api/v1/backups
openapi: 3.0.0
info:
  description: API for gns3util distributed file storage
  title: gns3util cluster filestore API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/backups:
    get:
      tags:
        - backups
      summary: List backups
      description: Returns all backups owned by the caller. Admins see all backups.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ListBackupsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.ListBackupsResponse:
      type: object
      properties:
        backups:
          type: array
          items:
            $ref: '#/components/schemas/models.BackupInfo'
        count:
          type: integer
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized
    models.BackupInfo:
      type: object
      properties:
        backup_type:
          type: string
        blob_sha256:
          type: string
        bucket_id:
          type: string
        content_type:
          type: string
        created_at:
          type: string
        file_uuid:
          type: string
        filename:
          type: string
        is_compressed:
          type: boolean
        is_encrypted:
          type: boolean
        owner_id:
          type: string
        parent_backup_uuid:
          type: string
        size_bytes:
          type: integer
        source_node_id:
          type: string
        status:
          $ref: '#/components/schemas/models.FileStatus'
        updated_at:
          type: string
    models.FileStatus:
      type: string
      enum:
        - pending
        - uploading
        - available
        - tombstoned
        - deleted
      x-enum-varnames:
        - FileStatusPending
        - FileStatusUploading
        - FileStatusAvailable
        - FileStatusTombstoned
        - FileStatusDeleted
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and JWT token.
      type: apiKey
      name: Authorization
      in: header

````